<template>
  <div class="lecturermanage">
    <div class="el-card__header">
      <span>讲师管理</span>
      <div style="display: flex;flex-direction: row;align-items: center">
        <el-button type="primary" class="el-button--small" @click="addRecharge">新增</el-button>
      </div>
    </div>
    <div class="content">
      <div style="display: flex;flex-direction: row;align-items: center">
        <div class="block" >
          <div class="searchInput" style="width:200px">
            <el-input style="display:inline-block;width:170px;height:30px"
                      placeholder="请输入姓名搜索"
                      v-model="msg.Name"
                      size="small"
                      @clear="getList"
                      @keyup.enter.native="getList"
                      clearable>
            </el-input>
            <span @click="getList" class="el-icon-search" style="color:#979dad;font-size:14px;position:relative;top:1px"></span>
          </div>

          <div class="searchInput" style="width:200px">
            <el-input style="display:inline-block;width:170px;height:30px"
                      placeholder="请输入ID搜索"
                      v-model="msg.ID"
                      size="small"
                      @clear="getList"
                      @keyup.enter.native="getList"
                      clearable>
            </el-input>
            <span @click="getList" class="el-icon-search" style="color:#979dad;font-size:14px;position:relative;top:1px"></span>
          </div>
          <div class="searchInput" style="width:200px">
            <el-input style="display:inline-block;width:170px;height:30px"
                      placeholder="请输入联系电话搜索"
                      v-model="msg.Telephone"
                      size="small"
                      @clear="getList"
                      @keyup.enter.native="getList"
                      clearable>
            </el-input>
            <span @click="getList" class="el-icon-search" style="color:#979dad;font-size:14px;position:relative;top:1px"></span>
          </div>
          <el-button @click="tableSet(1)" style="margin-left:10px;" size="mini">启用</el-button>
          <el-button @click="tableSet(2)" style="margin-left:10px;" size="mini">禁用</el-button>

        </div>

      </div>
    </div>


    <div style="padding: 20px;background: #fff;">
      <el-table
        :data="tableData"
        header-cell-class-name="headClass"
        style="width: 100%"
        border
        @selection-change="handleSelectionChange"
      >
        <el-table-column type="selection" width="55" style="text-align:center;"></el-table-column>

        <el-table-column
          prop="ID"
          label="ID"
          width="100">
        </el-table-column>

        <el-table-column
          prop="Name"
          label="信息">
          <template slot-scope="scope">
            <div class="app-image" :style="{backgroundImage:'url(' + scope.row.TeacherLogo + ')',backgroundSize:'cover'}"></div>
            <div flex="dir:left cross:center">
              {{scope.row.Name}}
            </div>
          </template>
        </el-table-column>
        <el-table-column
          prop="Major"
          label="专业"
        >
        </el-table-column>


        <el-table-column
          prop="GoodsNum"
          label="关联课程数">
        </el-table-column>
        <el-table-column
          prop="OrderNum"
          label="关联订单">

        </el-table-column>
        <el-table-column
          prop="Telephone"
          label="联系电话"
        >
        </el-table-column>
        <el-table-column
          prop="TeacherStatus"
          width="100"
          label="状态">
          <template slot-scope="scope">
            <el-tag v-if="scope.row.TeacherStatus==1" type="success">启用中</el-tag>
            <el-tag v-if="scope.row.TeacherStatus==2" type="warning">禁用中</el-tag>
          </template>
        </el-table-column>

        <el-table-column
          fixed="right"
          label="操作"
          width="180"
        >
          <template slot-scope="scope">

            <el-tooltip class="item" effect="dark" content="编辑" placement="top" >
              <img src="../../assets/img/setup/edit.png" alt="" class="imgstyle" @click="Edit(scope.row)">
            </el-tooltip>
            <!--            <el-tooltip class="item" effect="dark" content="删除" placement="top" >-->
            <!--              <img src="../../assets/img/setup/del.png" alt="" class="imgstyle" @click="delete_b(scope.row)">-->
            <!--            </el-tooltip>-->
          </template>
        </el-table-column>
      </el-table>
      <el-pagination style="text-align:right"
                     background
                     @current-change="handleCurrentChange"
                     :page-size="msg.pageSize"
                     layout="prev, pager, next"
                     :current-page.sync="msg.pageIndex"
                     :total="count">
      </el-pagination>
    </div>
  </div>
</template>

<script>
  export default {
    name: "lecturermanage",
    data(){
      return{
        msg:{
          pageIndex:1,
          pageSize:20,
          Name:'',
          ID:'',
          Telephone:'',

        },
        changeState:false,
        dateList:[],

        tableData:[],
        count:0,
        loading:false,
        EnableMsg:{
          Ids:'',
          TeacherStatus:0,
        },
      }
    },
    created(){
      this.getDateList();//获取老师分页

    },
    methods:{
      getDateList(){
        let msg = JSON.parse(JSON.stringify(this.msg))
        if(msg.ID ==''){
          msg.ID=0
        }

        this.loading=true;
        this.apipost("/api/Education/GetTeacherPageList", msg, res => {
          this.loading=false;
          if(res.data.resultCode==1){
            this.tableData = res.data.data.pageData;
            this.count = res.data.data.count;
          }else {
            this.Info(res.data.message);
          }

        })
      },


      addRecharge(){
        this.$router.push('/addLecturer');

      },
      enableGuideCar(){
        this.apipost("/api/Education/EnableTeacherInfo", this.EnableMsg, res => {
          if(res.data.resultCode==1){
            this.Success(res.data.message)
            this.getList()
          }
        })
      },
      tableSet(type){
        this.EnableMsg.TeacherStatus = type;
        if(this.EnableMsg.Ids.length==0){
          this.Info('请选择讲师');
          return
        }
        this.EnableMsg.Ids = this.EnableMsg.Ids.join(",");
        this.enableGuideCar()
      },

      Edit(row){
        this.$router.push({
          name: 'addLecturer',
          query: {
            ID:row.ID,
            blank: "y"
          }
        });
      },
      delete_b(row){
        let that=this;
        that.Confirm("是否删除?", function () {
          that.apipost(
            "/api/GuideCar/DelGuideCarSiteInfo",
            {Id:row.ID},
            res => {
              if (res.data.resultCode == 1) {
                that.Success(res.data.message);
                that.getDateList();
              } else {
                that.Error(res.data.message);
              }
            },
          );
        });
      },

      //勾选导游
      handleSelectionChange(val){
        var selectRow = JSON.parse(JSON.stringify(val));
        let array= [];
        selectRow.forEach(x => {
          let obj = {}
          obj = x.ID;
          array.push(obj)
        });
        this.EnableMsg.Ids = array
      },


      getList(){
        this.msg.pageIndex = 1
        this.getDateList()
      },

      handleCurrentChange(val) {
        this.msg.pageIndex = val;
        this.getDateList();
      },
    },
  }
</script>

<style >
  .lecturermanage .el-card__header{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    background: #fff;

  }
  .lecturermanage .el-button--small{
    padding: 9px 15px;
  }
  .lecturermanage .content .searchInput{
    border: 1px solid #DCDFE6;
    border-radius: 4px;
    /*margin-left: 10px;*/
  }
  .lecturermanage .content .searchInput .el-input__inner{
    border:none;outline:none;
    height: 30px;
    line-height: 30px;
  }
  .lecturermanage .content .searchInput{
    line-height: normal;
    display: inline-table;
    border-collapse: separate;
    border-spacing: 0;
    width:250px;
  }
  .lecturermanage .content{
    background: #fff;
    margin-top:10px;
    padding: 15px;
    box-sizing: border-box;
  }
  .lecturermanage .el-tag{
    margin-right: 5px;
  }
  .lecturermanage .app-image{
    background-position: center center;
    width: 50px;
    height: 50px;
    border-radius:0%;
    float: left;
    margin-right: 8px;
  }
</style>
